$selectric-main-color:      #DDD !default;                                              // Color used in border
$selectric-secondary-color: #BBB !default;                                              // Color used in button
$selectric-text-color:      #444 !default;                                              // Color used in label
$selectric-bg-color:        #F8F8F8 !default;                                           // Background color
$selectric-btn-bg-color:    #F8f8f8 !default;                                           // Button background color
$selectric-height:          rem(40) !default;                                              // Outer height
$selectric-spacing:         rem(10) !default;                                              // Label left padding
$selectric-border-width:    rem(1) !default;                                               // Outer border width
$selectric-border-radius:   0px !default;                                               // Border radius
$selectric-inner-height:    rem(38) !default; // Inner height
$selectric-font-size:       rem(12) !default;                                              // Font size

.selectric-wrapper {
    position: relative;
    cursor: pointer;
}

.selectric-responsive {
    width: 100%;
}

.selectric {
    border: rem(1) solid $selectric-main-color;
    border-radius: rem(16);
    background: $selectric-bg-color;
    position: relative;
    overflow: hidden;

    .label {
        display: block;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        margin: 0 $selectric-inner-height 0 $selectric-spacing;
        font-size: rem(12);
        line-height: rem(44);
        color: $selectric-text-color;
        height: rem(44);
        user-select: none;
    }

    .button {
        display: block;
        position: absolute;
        right: 0;
        top: 0;
        width: $selectric-inner-height;
        height: rem(44);
        line-height: $selectric-inner-height;
        background-color: $selectric-btn-bg-color;
        color: $selectric-secondary-color;
        text-align: center;
        font: 0/0;
        *font: 1.25rem/#{$selectric-inner-height} Lucida Sans Unicode, Arial Unicode MS, Arial;

        &:after {
            content: " ";
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            margin: auto;
            width: 0;
            height: 0;
            border: rem(4) solid transparent;
            border-top-color: $selectric-secondary-color;
            border-bottom: none;
        }
    }
}

.selectric-focus .selectric {
    border-color: darken($selectric-main-color, 20%);
}

.selectric-hover .selectric {
    border-color: darken($selectric-main-color, 10%);

    .button {
        color: darken($selectric-secondary-color, 10%);

        &:after {
            border-top-color: darken($selectric-secondary-color, 10%);
        }
    }
}

.selectric-open {
    z-index: 9999;

    .selectric {
        border-color: darken($selectric-main-color, 10%);
    }

    .selectric-items {
        display: block;
    }
}

.selectric-disabled {
    filter: alpha(opacity=50);
    opacity: 0.5;
    cursor: default;
    user-select: none;
}

.selectric-hide-select {
    position: relative;
    overflow: hidden;
    width: 0;
    height: 0;

    select {
        position: absolute;
        left: -100%;
    }

    &.selectric-is-native {
        position: absolute;
        width: 100%;
        height: 100%;
        z-index: 10;

        select {
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            height: 100%;
            width: 100%;
            border: none;
            z-index: 1;
            box-sizing: border-box;
            opacity: 0;
        }
    }
}

.selectric-input {
    position: absolute !important;
    top: 0 !important;
    left: 0 !important;
    overflow: hidden !important;
    clip: rect(0, 0, 0, 0) !important;
    margin: 0 !important;
    padding: 0 !important;
    width: 1px !important;
    height: 1px !important;
    outline: none !important;
    border: none !important;
    *font: 0/0 a !important;
    background: none !important;
}

.selectric-temp-show {
    position: absolute !important;
    visibility: hidden !important;
    display: block !important;
}

/* Items box */
.selectric-items {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    overflow: hidden;
    background: $selectric-bg-color;
    border: rem(1) solid darken($selectric-main-color, 10%);
    z-index: -1;
    box-shadow: 0 0 rem(10) rem(-6);

    .selectric-scroll {
        height: 100%;
        overflow: auto;
    }

    .selectric-above & {
        top: auto;
        bottom: 100%;
    }

    ul, li {
        list-style: none;
        padding: 0;
        margin: 0;
        font-size: $selectric-font-size;
        line-height: rem(20);
        min-height: rem(20);
    }

    li {
        display: block;
        padding: rem(10);
        color: #666;
        cursor: pointer;
        overflow: hidden;

        &.selected {
            background: #E0E0E0;
            color: #444;
        }

        &.highlighted {
            background: #D0D0D0;
            color: #444;
        }

        &:hover {
            background: #D5D5D5;
            color: #444;
        }
    }

    .disabled {
        filter: alpha(opacity=50);
        opacity: 0.5;
        cursor: default !important;
        background: none !important;
        color: #666 !important;
        user-select: none;
    }

    .selectric-group {
        .selectric-group-label {
            font-weight: bold;
            padding-left: rem(10);
            cursor: default;
            user-select: none;
            background: none;
            color: #444;
        }

        &.disabled li {
            filter: alpha(opacity=100);
            opacity: 1;
        }

        li {
            padding-left: rem(25);
        }
    }
}


//  SELECT LITE

.selectric-select-lite {

    .selectric {
        font-weight: 400;
        min-width: 192px;
        border-radius: 16px;
        background: $gray-100;
        border-color: $gray-100;

        .label {
            font-weight: 400;
            color: $black-100;
            height: rem(30);
            font-size: rem(14);
            line-height: rem(30);
            margin: 0 rem(38) 0 rem(20);
        }

        .button {
            right: rem(10);
            width: rem(30);
            height: rem(30);
            background-image: url("../img/select_lite_arrow.svg");
        }
    }

    .selectric-items {
        border-radius: rem(16);
        top: calc(100% + 0.5rem);

        li {
            padding: rem(6) rem(20);
        }
    }

    &.selectric-focus {

        .selectric {
            border-radius: rem(16);
        }
    }

    &.selectric-open {

        .selectric {
            border-radius: rem(16);
        }
    }
}

// CUSTOM

.selectric {
    border-radius: rem(8);
    background: #FAFAFA;
    font-weight: 700;
    font-size: rem(12);
    color: $color-base;
    font-family: $font-family-head;
    border: 1px solid #E8EBF0;

    &:hover {
        border-color: #dbdbdb;
    }

    .label {
        white-space: nowrap;
        margin-left: rem(20);
    }

    .button {
        font-size: 0;
        line-height: 0;
        color: #FAFAFA;
        background: url('../img/icon__angle_down.svg') 50% 50% no-repeat;

        &::after {
            display: none;
        }
    }
}

.selectric-items {
    font-weight: 500;
    font-size: rem(18);
    line-height: rem(22);
    font-family: $font-family-head;
    border-radius: 0 0 rem(8) rem(8);
    border: 1px solid #dbdbdb;
    border-top: none;

    li {
        white-space: nowrap;
        padding: rem(8) rem(20);
        color: #1D1D1B;
        border-bottom: rem(1) solid #dbdbdb;

        &:last-child {
            border-bottom: none;
        }

        &:hover {
            background: #F1F8FE;
        }

        &.selected,
        &.highlighted {
            background: #F1F8FE;
        }
    }
}

.selectric-open {

    .selectric {
        border-color: #dbdbdb;
        border-radius: rem(8) rem(8) 0 0;
    }
}

